# Before 'make install' is performed this script should be runnable with
# 'make test'. After 'make install' it should work as 'perl CISN.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use strict;
use warnings;

use Test::More tests => 11;

require 't/float_test.pl';
require_ok('LogA0::CISN');

#########################

my ($obj);
# 2:
ok(($obj = LogA0::CISN->new()), "Create LogA0::CISN object");
ok(equal($obj->minDist(), 0.1, 3), "min distance");
ok(equal($obj->maxDist(), 500.0, 3), "max distance");
ok(equal($obj->logA0(0), -9.0, 3), "logA0 at 0");
ok(equal($obj->logA0(1000.), -9.0, 3), "logA0 at 1000");
ok(equal($obj->logA0(5.0),   1.29207, 5), "logA0 at 5");
ok(equal($obj->logA0(100.0), 2.99998, 5), "logA0 at 100");
ok(equal($obj->logA0(200.0), 3.68889, 5), "logA0 at 200");
ok(equal($obj->logA0(400.0), 4.29301, 5), "logA0 at 400");
ok(equal($obj->logA0(500.0), 4.41626, 5), "logA0 at 500");
